=== debian/control ===
Source: binutils-or1k-elf
Section: devel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Uploaders:
 Jonas Smedegaard <js@debian.org>,
Build-Depends:
 binutils-source,
 bison,
 chrpath,
 debhelper-compat (= 13),
 flex,
 lsb-release,
 xz-utils,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/binutils-or1k-elf.git
Vcs-Browser: https://salsa.debian.org/debian/binutils-or1k-elf

Package: binutils-or1k-elf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-common
Suggests: binutils-doc
Built-Using: binutils (= ${binutils-version})
Description: GNU binary utilities for the Open RISC 1000 processors
 This package provides GNU assembler, linker and binary utilities for
 a specific hardware and operating system combination.  You don’t need
 it unless you plan to cross-compile programs for it from another
 operating system.
 .
 This package targets the Open RISC 1000 processors.
