=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/PackagingLessCommonBinutilsTargets

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

gnu_type                                 = or1k-elf
arch                                     = $(gnu_type)
multiarch                                = $(gnu_type)
package                                  = binutils-$(subst _,-,$(gnu_type))

%:
	dh $@

execute_before_dh_autoreconf: src
src:
	tar -xf /usr/src/binutils/binutils-*.tar.xz
	mv binutils* src
	cp -dr /usr/src/binutils/debian src

override_dh_auto_configure:
	$(MAKE) -Csrc -fdebian/rules stamps/configure.$(arch) \
	  _gnu_type='$(gnu_type)' _multiarch='$(multiarch)'

override_dh_auto_build:
	$(MAKE) -Csrc -fdebian/rules stamps/build.$(arch) \
	  _gnu_type='$(gnu_type)' _multiarch='$(multiarch)' \
	  with_check=no

override_dh_auto_install:
	$(MAKE) -Csrc -fdebian/rules stamps/install.$(arch) \
	  _gnu_type='$(gnu_type)' _multiarch='$(multiarch)' \
	  with_strip=no

override_dh_install:
	dh_install --sourcedir=src/debian/$(package) -X/usr/include .

override_dh_gencontrol:
	vsn=`dpkg-query -Wf'$${source:Version}' binutils-source` && \
	dh_gencontrol -- -v$$vsn+$(DEB_VERSION) -Vbinutils-version=$$vsn

override_dh_clean:
	dh_clean src/
