## binutils-or1k-elf 1.0.3

=== debian/changelog ===
binutils-or1k-elf (1.0.3) unstable; urgency=medium

  * Do not autoreconf in etc/. Closes: #1005669.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 06 Mar 2022 14:08:57 +0000

binutils-or1k-elf (1.0.2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Enable deterministic archives. Closes: #996184.

  [ Nicolas Boulenguez ]
  * autopkgtests: test strip, report progress.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Nov 2021 01:37:48 +0100

binutils-or1k-elf (1.0.1) unstable; urgency=medium

  * Reupload to unstable.

  [ Nicolas Boulenguez ]
  * Use upstream build system directly instead of via the binutils
    packaging intended for Debian architectures.
    The tools are now linked statically.
  * Enable dh_autoreconf (2.69) (except for libiberty).
  * Pass usual dh_auto_configure options.
    Especially, dependency tracking seems incompatible with autoconf2.71.
  * Enable post-build checks.
  * Refine patterns in lintian overrides.

  [ John Scott ]
  * Update_autotools_config after extraction (it was a no-op).
  * Allow the binary package to satisfy Multi-Arch: foreign dependencies.
  * Put binutils *source* version in Built-Using (it may differ for NMUs).

  [ Jonas Smedegaard ]
  * create empty src dir before dh_auto_clean,
    to avoid confusing debhelper
  * fix my email address in Uploaders field

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 14:36:43 +0200
