=== debian/control ===
Source: binutils-or1k-elf
Section: devel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 autoconf2.69,
 binutils-source (>= 2.37),
 bison,
 chrpath,
 debhelper-compat (= 13),
 dejagnu,
 flex,
 lsb-release,
 python3,
 xz-utils,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/binutils-or1k-elf.git
Vcs-Browser: https://salsa.debian.org/debian/binutils-or1k-elf
Homepage: https://sourceware.org/binutils/

Package: binutils-or1k-elf
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-common
Suggests: binutils-doc
Built-Using: ${Built-Using}
Description: GNU binary utilities for the Open RISC 1000 processors
 This package provides GNU assembler, linker and binary utilities for
 a specific hardware and operating system combination.  You don’t need
 it unless you plan to cross-compile programs for it from another
 operating system.
 .
 This package targets the Open RISC 1000 processors.
