## binutils-or1k-elf 1.0.6

=== debian/changelog ===
binutils-or1k-elf (1.0.6) unstable; urgency=medium

  * In gas, call mbstowcs with len=0 when dest=NULL.  Closes: #1016223.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 04 Aug 2022 07:46:42 +0000

binutils-or1k-elf (1.0.5) unstable; urgency=medium

  * Disable build-time tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Jun 2022 06:37:13 +0000

binutils-or1k-elf (1.0.4) unstable; urgency=medium

  * Do not autoreconf gprofng. Closes: #1013590.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 25 Jun 2022 15:42:50 +0000
