=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  xz-utils,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/binutils-or1k-elf.git
 Vcs-Browser: https://salsa.debian.org/debian/binutils-or1k-elf
 Homepage: https://sourceware.org/binutils/
