## binutils-or1k-elf 1.0.7

=== debian/changelog ===
binutils-or1k-elf (1.0.7) unstable; urgency=medium

  * Autoreconf libiberty again (fixed in 2.39.50).
  * Standards-Version: 4.6.2 (no changes).
  * Update format of lintian overrides.
  * Update copyright years.

  [ Eric Long ]
  * Remove mbstowcs patch (applied in 2.39.50). Closes: #1026442.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Dec 2022 00:17:44 +0000
