=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  autoconf2.69,
- binutils-source (>= 2.37),
+ binutils-source (>= 2.39.50),
  bison,
  chrpath,
  debhelper-compat (= 13),
@@ -17,7 +17,7 @@
  xz-utils,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/binutils-or1k-elf.git
 Vcs-Browser: https://salsa.debian.org/debian/binutils-or1k-elf
 Homepage: https://sourceware.org/binutils/
