=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 src:
 	tar -xf $(tar_dir)/binutils-*.tar.xz
 	mv binutils* src
-	patch -p0 < mbstowcs-null-size.diff
 
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
 override_dh_autoreconf:
