## binutils-or1k-elf 1.0.10

=== debian/changelog ===
binutils-or1k-elf (1.0.10) unstable; urgency=medium

  * Rebuild against binutils 2.41.
  * Remove applied patches. Closes: #1058556.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 15 Dec 2023 22:16:45 +0000

binutils-or1k-elf (1.0.9) unstable; urgency=medium

  * improve extraction of upstream sources.
  * Install to debian/tmp, add explicit debian/install, not-installed.
  * Drive dh_links with a shell script (instead of Make).
  * Add missing CPPFLAGS, fix two typos

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 29 Aug 2023 11:21:27 +0000

binutils-or1k-elf (1.0.8) unstable; urgency=medium

  * Rebuild against binutils 2.40.
  * Let dh-builtusing generate the Built-Using field.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Aug 2023 16:28:29 +0000
