=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  chrpath,
  debhelper-compat (= 13),
  dejagnu,
+ dh-sequence-builtusing,
  flex,
  lsb-release,
  python3,
@@ -27,7 +28,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-common
 Suggests: binutils-doc
-Built-Using: ${Built-Using}
+Built-Using: ${dh-builtusing:binutils-source}
 Description: GNU binary utilities for the Open RISC 1000 processors
  This package provides GNU assembler, linker and binary utilities for
  a specific hardware and operating system combination.  You don’t need
