=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 # The GNU triplet determines Debian package names, but not the other
 # way around because GNU triplets may contain underscore characters.
 gnu_type                                 = or1k-elf
-package                                  = binutils-$(subst _,-,$(gnu_type))
 
 # Extract sources to a fixed path (computing the version is
 # inefficient, mentioning it everywhere does not help readability, and
@@ -26,8 +25,8 @@
 tar_dir = /usr/src/binutils
 execute_before_dh_update_autotools_config: src
 src:
-	tar -xf $(tar_dir)/binutils-*.tar.xz
-	mv binutils* src
+	tar -xf $(tar_dir)/binutils-*.tar.xz --transform='s|[^/]*|src|'
+  # Apply patches here with 'patch -dsrc -p1 < $patch'.
 
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
 override_dh_autoreconf:
@@ -62,37 +61,13 @@
 # https://buildd.debian.org/status/fetch.php?pkg=binutils-or1k-elf&arch=mips64el&ver=1.0.4&stamp=1656249446&raw=0
 override_dh_auto_test:
 
-# Shared data are provided by the binutils-common dependency.
-not_installed = \
-  usr/share/info \
-  usr/share/locale \
-  usr/share/man
-execute_after_dh_auto_install:
-	rm -fr $(addprefix debian/$(package)/,$(not_installed))
+# Install in two steps even if building one package.
+# This will become the default in debhelper compatility level 15.
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp
 
-# For each executable in the path, provide a manual page as a symbolic
-# link to the one from binutils-common.
-links += $(foreach t,$(subst debian/$(package)/usr/bin/$(gnu_type)-,,\
-                  $(wildcard debian/$(package)/usr/bin/$(gnu_type)-*)),\
-  usr/share/man/man1/$(t).1.gz \
-  usr/share/man/man1/$(gnu_type)-$(t).1.gz)
-
-# Upstream installs hard links to the executables from the traditional
-# path for cross-compiler tools.  Replace them with symbolic links.
-links += $(foreach t,\
-  $(notdir $(wildcard debian/$(package)/usr/$(gnu_type)/bin/*)), \
-  usr/bin/$(gnu_type)-$(t) usr/$(gnu_type)/bin/$(t))
-
-override_dh_link:
-	dh_link $(links)
-
-# Run dpkg-query once, only for this recipe.  Show the output in logs.
-gencontrol_format = \
-  -v$${Version}+$(DEB_VERSION) \
-  -VBuilt-Using="$${source:Package} (= $${source:Version})"
-gencontrol_args != dpkg-query -Wf'$(gencontrol_format)' binutils-source
 override_dh_gencontrol:
-	dh_gencontrol -- $(gencontrol_args)
+	dh_gencontrol -- '-v$(pkgversion)+$(DEB_VERSION)'
 
 # avoid debhelper confusion when source directory is initially missing
 execute_before_dh_auto_clean:
