## binutils-or1k-elf 1.0.11

=== debian/changelog ===
binutils-or1k-elf (1.0.11) unstable; urgency=medium

  * Rebuild with binutils 2.42.
  * Standards-Version: 4.7.0 (no changes)
  * Update copyright years
  * Remove ome more hardcoding of the GNU type
  * Autoreconf zlib/ again, it is fixed
  * Add missing sources for autotools in etc/
  * Include buildflags.mk as recommended by dpkg-architecture.mk

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 10 May 2024 19:31:36 +0200
