=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 # https://wiki.debian.org/PackagingLessCommonBinutilsTargets
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DPKG_EXPORT_BUILDFLAGS := 1
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
-
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 # The GNU triplet determines Debian package names, but not the other
 # way around because GNU triplets may contain underscore characters.
@@ -28,7 +29,11 @@
 	tar -xf $(tar_dir)/binutils-*.tar.xz --transform='s|[^/]*|src|'
   # Apply patches here with 'patch -dsrc -p1 < $patch'.
 
+  # https://sourceware.org/bugzilla/show_bug.cgi?id=31726
+	cp debian/etc/* src/etc/
+
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
+# Seen with 2.42-4.
 override_dh_autoreconf:
 	dh_autoreconf -D. autoreconf2.69 -- -f -i -v `debian/autoreconf`
 
@@ -52,7 +57,7 @@
 
 override_dh_auto_configure:
   # Imitate dh_auto_configure -- $(confargs), but without
-  # --runstatedir as long as libiberty/configure cannot be refreshed.
+  # --runstatedir as long as upstream requires autoconf2.69.
 	install -d bld
 	cd bld && ../src/configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=/usr/lib/$(DEB_HOST_GNU_TYPE) --disable-maintainer-mode --disable-dependency-tracking \
 	$(confargs)
