## binutils-or1k-elf 1.0.12

=== debian/changelog ===
binutils-or1k-elf (1.0.12) unstable; urgency=medium

  * Build with 2.43.50.  Drop work-around for autotools sources.
  * Unselect -Werror compiler option.  Closes: #1089190.
  * Avoid hardcoding the output of dh_auto_configure.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Dec 2024 12:39:50 +0000
