=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,11 @@
 
 # https://wiki.debian.org/PackagingLessCommonBinutilsTargets
 
+# Prevent new compiler warnings from breaking the build (#1089190).
+DEB_CFLAGS_MAINT_APPEND := -Wno-error
+
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DPKG_EXPORT_BUILDFLAGS := 1
-include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
@@ -29,9 +31,6 @@
 	tar -xf $(tar_dir)/binutils-*.tar.xz --transform='s|[^/]*|src|'
   # Apply patches here with 'patch -dsrc -p1 < $patch'.
 
-  # https://sourceware.org/bugzilla/show_bug.cgi?id=31726
-	cp debian/etc/* src/etc/
-
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
 # Seen with 2.42-4.
 override_dh_autoreconf:
@@ -55,12 +54,11 @@
 # https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_static_libraries_issue.html
 confargs += --enable-deterministic-archives
 
+# autoconf2.69 fails on the --runstatedir argument.
 override_dh_auto_configure:
-  # Imitate dh_auto_configure -- $(confargs), but without
-  # --runstatedir as long as upstream requires autoconf2.69.
 	install -d bld
-	cd bld && ../src/configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=/usr/lib/$(DEB_HOST_GNU_TYPE) --disable-maintainer-mode --disable-dependency-tracking \
-	$(confargs)
+	$(filter-out --runstatedir=/run, \
+	  $(shell dh_auto_configure -Dsrc -Bbld --no-act)) $(confargs)
 
 # Disable tests, until someone fixes
 # https://buildd.debian.org/status/fetch.php?pkg=binutils-or1k-elf&arch=mips64el&ver=1.0.4&stamp=1656249446&raw=0
