## binutils-or1k-elf 1.0.13

=== debian/changelog ===
binutils-or1k-elf (1.0.13) unstable; urgency=medium

  * Require 2.43.50.20250108, remove work-around for #1090761/1089190
  * Slightly improve generation of symbolic links
  * Enable salsa continuous integration via salsa-ci.yml
  * Autoreconf all subdirectories

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 20:05:37 +0100
