=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 # https://wiki.debian.org/PackagingLessCommonBinutilsTargets
-
-# Prevent new compiler warnings from breaking the build (#1089190).
-DEB_CFLAGS_MAINT_APPEND := -Wno-error
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DPKG_EXPORT_BUILDFLAGS := 1
