=== debian/tests/control ===
Tests: basic
Depends: @, file
Restrictions: superficial
