## binutils-or1k-elf 1.0.13build1

=== debian/changelog ===
binutils-or1k-elf (1.0.13build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 21:43:15 +0100
